package tech.riemann.ims.service.dictionary.impl;

import tech.riemann.ims.entity.dictionary.Dictionary;
import tech.riemann.ims.mapper.dictionary.DictionaryMapper;
import tech.riemann.ims.service.dictionary.IDictionaryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.RequiredArgsConstructor;

import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 码本数据 服务实现类
 * </p>
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-09-14 15:42:31
 */
@Service
@RequiredArgsConstructor
public class DictionaryServiceImpl extends ServiceImpl<DictionaryMapper, Dictionary> implements IDictionaryService {

    private final Dao dao;

    /**
     * @return
     * @see org.nutz.spring.boot.service.ExtService#dao()
     */
    @Override
    public Dao dao() {
        return dao;
    }
    
    /**
     * @return
     * @see org.nutz.spring.boot.service.interfaces.EntityService#getEntityType()
     */
    @Override
    public Class<Dictionary> getEntityType() {
        return Dictionary.class;
    }
}
