package tech.riemann.ims.service.material.impl;

import tech.riemann.ims.entity.material.MaterialBarcodeConfig;
import tech.riemann.ims.mapper.material.MaterialBarcodeConfigMapper;
import tech.riemann.ims.service.material.IMaterialBarcodeConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.RequiredArgsConstructor;

import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 物料库条码配置表 服务实现类
 * </p>
 *
 * @author mayong)
 *
 * @since 2024-12-06 10:32:29
 */
@Service
@RequiredArgsConstructor
public class MaterialBarcodeConfigServiceImpl extends ServiceImpl<MaterialBarcodeConfigMapper, MaterialBarcodeConfig> implements IMaterialBarcodeConfigService {

    private final Dao dao;

    /**
     * @return
     * @see org.nutz.spring.boot.service.ExtService#dao()
     */
    @Override
    public Dao dao() {
        return dao;
    }
    
    /**
     * @return
     * @see org.nutz.spring.boot.service.interfaces.EntityService#getEntityType()
     */
    @Override
    public Class<MaterialBarcodeConfig> getEntityType() {
        return MaterialBarcodeConfig.class;
    }
}
